Bug 1184368 - Run as: Management console is reloaded regardless user's answer if he/she wants to
Summary: Run as: Management console is reloaded regardless user's answer if he/she wan...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console - UX
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: EAP 6.4.0
Assignee: Tomas Hofman
QA Contact: Pavel Jelinek
eap-docs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-21 08:43 UTC by Pavel Jelinek
Modified: 2015-08-27 09:41 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-27 09:41:40 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker HAL-763 0 Major Resolved Run as: Management console is reloaded regardless user's answer if he/she wants to 2015-08-27 09:39:40 UTC

Description Pavel Jelinek 2015-01-21 08:43:44 UTC
How reproducible:
Always

Steps to Reproduce:
1. With RBAC enabled login as superuser
2. Open Run as Role dialog (in my case in right upper corner navigate superuser -> Run as SuperUser) 
3. Select role, click Run As
4. You are asked to confirm application reload, click Cancel

Actual results:
browser is reloaded

Expected results:
There either shoudn't be Cancel button 
or if the button should be there the browser shouldn't be refreshed if the button is clicked.

Comment 2 Matt Carrano 2015-05-18 17:54:40 UTC
Agree that Cancel should not result in the browser reload.  Seems like a bug that should be fixed in a future release, if possible.

Comment 3 JBoss JIRA Server 2015-07-20 10:19:36 UTC
Tomas Hofman <thofman@redhat.com> updated the status of jira HAL-763 to Coding In Progress

Comment 4 Harald Pehl 2015-07-21 07:22:00 UTC
Merged into upstream

Comment 5 JBoss JIRA Server 2015-07-21 07:22:56 UTC
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-763 to Resolved

Comment 6 Tomas Hofman 2015-08-27 09:41:40 UTC
No customer case, fixed upstream.


Note You need to log in before you can comment on or make changes to this bug.